Bug 993603 - (CVE-2013-1713) CVE-2013-1713 Mozilla: Wrong principal used for validating URI for some Javascript components (MFSA 2013-72)
CVE-2013-1713 Mozilla: Wrong principal used for validating URI for some Javas...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130807,repor...
: Security
Depends On:
Blocks: 990364
  Show dependency treegraph
 
Reported: 2013-08-06 05:22 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-06-10 17:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:12:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-08-06 05:22:33 EDT
Security researcher Cody Crews reported that some Javascript components will perform checks against the wrong uniform resource identifier (URI) before performing security sensitive actions. This will return an incorrect location for the originator of the call. This could be used to bypass same-origin policy, allowing for cross-site scripting (XSS) or the installation of malicious add-ons from third-party pages.

In general these flaws cannot be exploited through email in the Thunderbird product because scripting is disabled, but are potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-72.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Cody Crews as the original reporter.
Comment 1 errata-xmlrpc 2013-08-07 04:24:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1140 https://rhn.redhat.com/errata/RHSA-2013-1140.html
Comment 2 errata-xmlrpc 2013-08-07 14:11:41 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:1142 https://rhn.redhat.com/errata/RHSA-2013-1142.html

Note You need to log in before you can comment on or make changes to this bug.